package com.bonus.canteen.core.pay.common.dto;

import java.time.LocalDateTime;

public class PayCancelDTO {
   /** @deprecated */
   @Deprecated
   private Long tradeId;
   private Long tradeChannelId;
   private Integer payType;
   private Integer payChannel;
   private Long canteenId;
   private Long stallId;
   private String machineSn;
   private String couponId;
   private LocalDateTime tradeTime;

   /** @deprecated */
   @Deprecated
   public Long getTradeId() {
      return this.tradeChannelId;
   }

   public Long getTradeChannelId() {
      return this.tradeChannelId;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getCouponId() {
      return this.couponId;
   }

   public LocalDateTime getTradeTime() {
      return this.tradeTime;
   }

   /** @deprecated */
   @Deprecated
   public void setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
   }

   public void setTradeChannelId(final Long tradeChannelId) {
      this.tradeChannelId = tradeChannelId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setCouponId(final String couponId) {
      this.couponId = couponId;
   }

   public void setTradeTime(final LocalDateTime tradeTime) {
      this.tradeTime = tradeTime;
   }

}
